PostGIS  2.3.8dev-r@@SVN_REVISION@@
sqldefines.h
Go to the documentation of this file.
1 #ifndef _LWPGIS_DEFINES
2 #define _LWPGIS_DEFINES
3 
4 #include "../postgis_svn_revision.h"
5 
6 /*
7  * Define just the version numbers; otherwise we get some strange substitutions in postgis.sql.in
8  */
9 #define POSTGIS_PGSQL_VERSION 93
10 #define POSTGIS_GEOS_VERSION 37
11 #define POSTGIS_PROJ_VERSION 51
12 #define POSTGIS_LIB_VERSION '2.3.8dev'
13 #define POSTGIS_LIBXML2_VERSION 2.9.4
14 #define POSTGIS_SFCGAL_VERSION
15 
16 #if POSTGIS_PGSQL_VERSION >= 96
17 #define _PARALLEL PARALLEL SAFE
18 #else
19 #define _PARALLEL
20 #endif
21 
22 /*
23  * Define the build date and the version number
24  * (these substitiutions are done with extra quotes sinces CPP
25  * won't substitute within apostrophes)
26  */
27 #define _POSTGIS_SQL_SELECT_POSTGIS_VERSION 'SELECT ''2.3 USE_GEOS=1 USE_PROJ=1 USE_STATS=1''::text AS version'
28 #define _POSTGIS_SQL_SELECT_POSTGIS_BUILD_DATE 'SELECT ''2018-06-12 18:05:50''::text AS version'
29 #define _POSTGIS_SQL_SELECT_POSTGIS_PGSQL_VERSION 'SELECT ''93''::text AS version'
30 
31 #if POSTGIS_SVN_REVISION
32 #define _POSTGIS_SQL_SELECT_POSTGIS_SCRIPTS_VERSION $$ SELECT '2.3.8dev'::text || ' r' || POSTGIS_SVN_REVISION::text AS version $$
33 #else
34 #define _POSTGIS_SQL_SELECT_POSTGIS_SCRIPTS_VERSION $$ SELECT '2.3.8dev'::text AS version $$
35 #endif
36 
37 #define SRID_USR_MAX 998999
38 
39 #endif /* _LWPGIS_DEFINES */
40 
41